<?php
namespace Misuzu;

use Misuzu\Perm;

if(!$msz->getAuthInfo()->getPerms('global')->check(Perm::G_FORUM_CATEGORIES_MANAGE))
    Template::throwError(403);

$perms = $msz->getPerms();
$permsInfos = $perms->getPermissionInfo(categoryNames: Perm::INFO_FOR_FORUM_CATEGORY);
$permsLists = Perm::createList(Perm::LISTS_FOR_FORUM_CATEGORY);

if(filter_has_var(INPUT_POST, 'perms'))
    Template::set('calculated_perms', Perm::convertSubmission(
        filter_input(INPUT_POST, 'perms', FILTER_DEFAULT, FILTER_REQUIRE_ARRAY),
        Perm::INFO_FOR_FORUM_CATEGORY
    ));

Template::render('manage.forum.listing', [
    'perms_lists' => $permsLists,
    'perms_infos' => $permsInfos,
]);
